-- posició en el gif
gorro_gif_col = 6
gorro_gif_row = 2

gorro={name="gorro",hab=5,x=6,y=3,w=32,h=32,bb={x=0,y=0,w=16,h=16}}

function gorro.init()
    local habs={{4,5},{12,11},{21,11},{34,4},{43,1}}
    local r=1+math.random(0,#habs-1)
    gorro.hab=habs[r][1]
    gorro.x=habs[r][2]
    
    local world_x, world_y = coords.room_to_world(gorro.hab,gorro.x,gorro.y)
    gorro.x=world_x
    gorro.y=world_y
    gorro.update=gorro.update
    gorro.draw=gorro.draw
end

function gorro.draw()
    local x = gorro_gif_col*gorro.w
	local y = gorro_gif_row*gorro.h
    local scr_x, scr_y = viewp:screen_coords( gorro.x, gorro.y )
    draw.surf(x,y,gorro.w,gorro.h,scr_x,scr_y,gorro.w,gorro.h)
end

function gorro.update()
    if gorro.hab==abad.hab then
        if collision(abad,gorro) then
            abad.objects.gorro=true
            if premiere.scene_intro then
                start_scene(scenes.gorro_trobat)
            else
                start_scene(scenes.gorro_trobat_nointro)
            end
            -- if abad.objects.gps~=nil then current_camera=3 end
            remove_actor(gorro)
        end
    end
end
